.kd-home-top-slider {
	position: relative;
}

.kd-home-block.swiper-slide {
	min-height: 520px;
	height: 38vw;
	padding: 24px 40px 54px;
}

.kd-home-block {
	position: relative;
	height: 520px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: flex-end;
	gap: 24px;
	width: 100%;
	padding: 40px;
}

.kd-home-block .kd-h2 {
	color: var(--white-color);
	position: relative;
	text-align: center;
}

.kd-home-block .kd-h2.grey-text {
	color: var(--grey-color);
}

.kd-home-block .kd-title-8.grey-text::before {
	color: var(--grey-color);
	text-shadow: 4px 0 #ffffff, -1px 0 #2b2b2b, -2px 0 #ff00f2;
}

.kd-home-block .kd-title-8.grey-text::after{
	color: #474747;
	text-shadow: 4px 0 #ffffff, -1px 0 #2b2b2b, -2px 0 #00ddff;
}

.kd-home-block.obuv .kd-title-8::before {
	text-shadow: 4px 0 #ab8f8f, -1px 0 #ffffff, -2px 0 #ff00f2;
}

.kd-home-block.obuv .kd-title-8::after {
	text-shadow: 4px 0 #ab8f8f, -1px 0 #d7d7d7, -2px 0 #00ddff;
}

.kd-home-block-img {
	position: absolute;
	inset: 0;
	object-fit: cover;
	object-position: center center;
	height: 100%;
	width: 100%;
}

.swiper-slide .kd-home-block-img {
	object-position: top center;
}


@media(max-width: 1279px) {
	.kd-home-block {
		padding: 24px 16px;
	}

	.kd-home-block.swiper-slide {
		height: 520px;
	}

	.kd-home-block:not(.swiper-slide) {
		padding: 24px 16px;
	}
}

@media(max-width: 767px) {
	.kd-home-block {
		max-height: 650px;
		height: 139vw !important;
	}

	/* .kd-home-block .kd-h2 {
		max-width: 320px;
	} */
}

/* ========== бегущие строки ========== */

.kd-string-wrapper {
	width: 100%;
	overflow: hidden;
}

.kd-string-track {
	display: flex;
	width: max-content;
	animation: marquee 60s linear infinite;
	will-change: transform;
	transform: translate3d(0, 0, 0);
}

.kd-string-image {
	height: 70px;
	width: 899px;
	flex-shrink: 0;
}

/* если понадобится второй вариант */
.kd-string-2 {
	background-color: var(--red-color);
}


@keyframes marquee {
	from {
		transform: translate3d(0, 0, 0);
	}

	to {
		transform: translate3d(-50%, 0, 0);
	}
}

@media(max-width: 767px) {
	.kd-string-image {
		height: 64px;
		width: 551px;
	}
}

/* ============== о бренде Kappa ============= */

.kd-html-pad-bottom.--home-kappa {
	overflow: hidden;
	padding-top: 70px;
}

.kd-home-kappa {
	height: 520px;
	/* overflow: hidden; */
	background: radial-gradient(70.18% 65.13% at 54.37% 35.02%, #FFF 0%, #BCBCBC 100%);
}

.kd-home-kappa-item {
	display: flex;
	position: relative;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 40px;
	height: 100%;
	width: 100%;
	padding-bottom: 16px;
}

.kd-home-kappa-img-logo {
	width: 487px;
	position: absolute;
	top: -70px;
	left: 0;
	z-index: 2;
	transition: 3s cubic-bezier(0.075, 0.82, 0.165, 1);
	will-change: transform;
	transform: rotate(calc(var(--scroll-pos) * .015deg - 20deg));
}

.kd-home-kappa-img-title {
	width: 326px;
	position: absolute;
	bottom: -80px;
	right: 0;
	transition: 3s cubic-bezier(0.075, 0.82, 0.165, 1);
	transform: 
		translate3d(
			calc(var(--scroll-pos) * .007% - 7%), 
			calc(var(--scroll-pos) * .005% - 5%), 
			0
			)
		rotate(calc(var(--scroll-pos) * -.01deg + 30deg));
}

.kd-home-kappa-text-bottom {
	color: var(--grey-color);
	font-size: 12px;
	font-weight: 400;
	line-height: 14px;
	position: absolute;
	bottom: 16px;
	left: 40px;
	right: 40px;
}

.kd-home-kappa-text-block {
	display: flex;
	position: relative;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 40px;
	width: 765px;
	margin-left: 200px;
}

.kd-home-kappa-text {
	width: 488px;
	color: var(--grey-color);
	font-size: 16px;
	font-weight: 400;
	line-height: 22px;
	position: relative;
	z-index: 2;
}

.kd-home-kappa-text.--right {
	align-self: flex-end;
}

.kd-home-kappa-text.--left {
	align-self: flex-start;
}

.kd-home-kappa-text span {
	font-weight: 700;
}

@media(max-width: 1279px) {
	.kd-home-kappa-img-logo {
		width: 407px;
	}

	/* .kd-home-kappa-img-title {
		width: 498px;
		bottom: 60px;
	} */

	.kd-home-kappa-text-block {
		margin-left: 0;
	}

	.kd-home-kappa-text.--right {
		width: 368px;
	}

	.kd-home-kappa-text.--left {
		width: 452px;
		
	}
}

@media(max-width: 900px) {

	.kd-home-kappa-text-block {
		width: 100%;
	}
}

@media(max-width: 767px) {
	.kd-home-kappa {
		height: auto;
	}

	.kd-home-kappa-item {
		flex-direction: column;
		justify-content: flex-start;
		padding-bottom: 150px;
	}

	.kd-home-kappa-img-logo {
		width: 330px;
		position: relative;
		top: 0;
		margin-top: -50px;
		margin-bottom: -90px;
	}

	.kd-home-kappa-img-title {
		width: 212px;
		/* position: relative; */
		/* justify-self: flex-end; */
		bottom: 20px;
		right: -30px;
		margin-bottom: -70px;
	}

	.kd-home-kappa-text-block {
		width: 100%;
		gap: 23px;
	}

	.kd-home-kappa-text {
		width: 100% !important;
	}

	.kd-home-kappa-text-bottom {
		left: 16px;
		right: 16px;
	}
}

/* ========== слайдер архив ======== */

.kd-home-archive {
	overflow: hidden;
}

.kd-home-archive .kd-html-pad {
	max-width: none;
}

.kd-home-archive .kd-h3 {
	margin-bottom: 16px;
	color: var(--grey-color);
}

.kd-home-archive-slider {
	position: relative;
}

.kd-home-archive-slide {
	position: relative;
	overflow: hidden;
}

.kd-home-archive-img {
	width: 100%;
	display: block;
	transition: transform .3s;
}

.kd-home-archive-slide:hover .kd-home-archive-img {
	transform: scale(1.025);
}

.kd-home-archive-slide-bottom {
	display: flex;
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	align-items: center;
	justify-content: space-between;
	gap: 12px;
	padding: 16px 16px 24px 20px;
	border-top: 1px solid rgba(231, 231, 231, 0.50);
}

.kd-home-archive-slide-name {
	color: var(--white-color);
	position: relative;
	font-size: 24px;
	font-weight: 700;
	line-height: 29px;
	transition: .3s;
}

.kd-home-archive-slide:hover .kd-home-archive-slide-name {
	animation: archive 1.5s ease-in-out forwards;
	text-shadow: 1px -1px #00ddff, -1px 1px #ff00f2;
}

@keyframes archive {

	0%,
	20%,
	26%,
	80%,
	100% {
		transform: skewX(0);
	}

	22% {
		transform: skewX(50deg);
	}

	24% {
		transform: skewX(-35deg);
	}

	82% {
		transform: skewX(25deg);
	}

	84% {
		transform: skewX(-20deg);
	}
}

.kd-home-archive-slide-bottom .kd-btn {
	padding: 4px 16px;
	font-size: 12px;
	font-weight: 400;
	line-height: 14px;
	letter-spacing: 0.72px;
}

@media(max-width: 1279px) {
	.kd-home-archive-slide-bottom {
		flex-direction: column;
		align-items: flex-start;
		gap: 8px;
		padding: 12px 16px 12px 20px;
	}

	.kd-home-archive-slide-name {
		font-size: 20px;
		line-height: 24px;
	}
}

/* ======== свайпер навигация ====== */

.swiper-pagination {
	position: relative;
	display: flex;
	justify-content: center;
}

.swiper-pagination.swiper-pagination-top {
	bottom: 24px !important;
	z-index: 2;
}

.swiper-pagination-bullet {
	width: 6px;
	height: 6px;
	margin: 0 2px !important;
	transition: width 0.3s;
	opacity: 1 !important;
	border-radius: 4px !important;
}

.swiper-pagination-top .swiper-pagination-bullet {
	background-color: var(--white-color);
}

.swiper-pagination-archive {
	margin-top: 16px;
}

.swiper-pagination-archive .swiper-pagination-bullet {
	background-color: var(--grey-color);
}

.swiper-pagination-bullet-active {
	width: 24px;
}

.swiper-button-prev,
.swiper-button-next {
	min-width: 44px;
	width: 44px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
	display: none !important;
}
